Subject: Re: [PATCH 01/26] xen-blkfront: don't disable cache flushes when they fail

From: Roger Pau Monné <[email-masked]>
Date: Mon, 17 Jun 2024 09:55:48 +0200

On Mon, Jun 17, 2024 at 08:04:28AM +0200, Christoph Hellwig wrote:
> blkfront always had a robust negotiation protocol for detecting a write
> cache.  Stop simply disabling cache flushes in the block layer as the
> flags handling is moving to the atomic queue limits API that needs
> user context to freeze the queue for that.  Instead handle the case
> of the feature flags cleared inside of blkfront.  This removes old
> debug code to check for such a mismatch which was previously impossible
> to hit, including the check for passthrough requests that blkfront
> never used to start with.
> 
> Signed-off-by: Christoph Hellwig <[email-masked]>

Acked-by: Roger Pau Monné <[email-masked]>

Thanks, Roger.